This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268701 - Review Request: rubygem-growl - growlnotify bindings
Review Request: rubygem-growl - growlnotify bindings
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268765
  Show dependency treegraph
 
Reported: 2015-10-04 17:11 EDT by Ilya Gradina
Modified: 2015-11-02 05:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-10-04 17:11:17 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-growl.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-growl-1.0.3-1.fc24.src.rpm
Description: growlnotify bindings.
Fedora Account System Username: ilgrad
Comment 1 Vít Ondruch 2015-10-20 07:41:11 EDT
Growl is MacOS X stuff, do we really need it on Fedora?
Comment 2 Ilya Gradina 2015-11-01 02:27:54 EST
(In reply to Vít Ondruch from comment #1)
> Growl is MacOS X stuff, do we really need it on Fedora?

he's coming as a dependency from the package rubygem-grape-entity ( 1268765 ), 
don't know whether you can do without this package.
Comment 3 Vít Ondruch 2015-11-02 05:45:48 EST
I would suggest to remove this dependency.

Actually, looking at bug 1268765, it is just build time dependency, isn't it? Then I really can't see reason why we should have this in Fedora and I strongly suggest to remove the dependency, including dependency on Bundler, i.e. this line:

https://github.com/ruby-grape/grape-entity/blob/master/spec/spec_helper.rb#L6

Note You need to log in before you can comment on or make changes to this bug.